انجمن سایت کلیدستان



نمایش ندادن لیست ویو در آندروید 5زمان کنونی: ۱۳۹۵/۰۹/۱۹، ۰۹:۵۲ ب.ظ
کاربران در حال بازدید این موضوع: 1 مهمان
نویسنده: azadyamin
آخرین ارسال: e.mahi
پاسخ 3
بازدید 294

رتبه موضوع:
  • 0 رای - 0 میانگین
  • 1
  • 2
  • 3
  • 4
  • 5
نمایش ندادن لیست ویو در آندروید 5

نمایش ندادن لیست ویو در آندروید 5

#1
با سلام 
من یه برنامه نوشتم که وقتی میخواستم پروژه را ایجاد کنم همون اول کار آخرین ورژن آندروید را برای برنامه 4.22 انتخاب کردم و برنامه در شبیه ساز جنی موشن با نسخه 4.2.2  به صورت کامل و بدون مشکل اجرا میکنه
ولی وقتی برنامه رو بر روی گوشیم که نسخه آندرویدش 5 هست میریزم لیست ویو یی که مطالب موجود در برنامه را میخواد نشون بده مطالب را نشون نمیده وهیچ اخطاری هم نمید.
من تو آندروید منیفست targetSdkVersion را 21 قرار دادم ولی باز هم این مشکل وجود داره حالا میخوام ببینم چطور این مشکل را حل کرد.
لطفا راهنمایی کنید
پاسخ

نمایش ندادن لیست ویو در آندروید 5

#2
(۱۳۹۴/۱۱/۲۷, ۰۳:۲۱ ب.ظ)azadyamin نوشته: با سلام 
من یه برنامه نوشتم که وقتی میخواستم پروژه را ایجاد کنم همون اول کار آخرین ورژن آندروید را برای برنامه 4.22 انتخاب کردم و برنامه در شبیه ساز جنی موشن با نسخه 4.2.2  به صورت کامل و بدون مشکل اجرا میکنه
ولی وقتی برنامه رو بر روی گوشیم که نسخه آندرویدش 5 هست میریزم لیست ویو یی که مطالب موجود در برنامه را میخواد نشون بده مطالب را نشون نمیده وهیچ اخطاری هم نمید.
من تو آندروید منیفست targetSdkVersion را 21 قرار دادم ولی باز هم این مشکل وجود داره حالا میخوام ببینم چطور این مشکل را حل کرد.
لطفا راهنمایی کنید

سلام دوست عزیز، اگه امکانش هست کلاس Adapter که اطلاعات رو به لیست ویو داده بذارید که شاید بتونیم بهتر کمک کنیم. ممنون
Iran PROGRAMER2016
پاسخ
 سپاس شده توسط programmerirani

نمایش ندادن لیست ویو در آندروید 5

#3
(۱۳۹۴/۱۱/۲۷, ۰۳:۲۱ ب.ظ)azadyamin نوشته: با سلام 
من یه برنامه نوشتم که وقتی میخواستم پروژه را ایجاد کنم همون اول کار آخرین ورژن آندروید را برای برنامه 4.22 انتخاب کردم و برنامه در شبیه ساز جنی موشن با نسخه 4.2.2  به صورت کامل و بدون مشکل اجرا میکنه
ولی وقتی برنامه رو بر روی گوشیم که نسخه آندرویدش 5 هست میریزم لیست ویو یی که مطالب موجود در برنامه را میخواد نشون بده مطالب را نشون نمیده وهیچ اخطاری هم نمید.
من تو آندروید منیفست targetSdkVersion را 21 قرار دادم ولی باز هم این مشکل وجود داره حالا میخوام ببینم چطور این مشکل را حل کرد.
لطفا راهنمایی کنید



من دقیق نمیدونم کدهای ارتباطتتو چطور نوشتی، ولی چیزایی که احتمال میدم رو برات میذارم امیدوارم مشکلت برطرف بشه.

توی پوشه drawable یک فایل xml به اسم custome_divider بساز و کدهاشو بصورت زیر ویرایش کن
کد پی‌اچ‌پی:
<shape xmlns:android="http://schemas.android.com/apk/res/android"
 
   android:shape="line" >
 
   <stroke
        android
:width="10dp"
 
       android:color="$ffff0000/>

 
   <gradient android:height="1dp" />
</
shape
یا به این صورت
کد پی‌اچ‌پی:
<shape xmlns:android="http://schemas.android.com/apk/res/android"
 
   android:shape="line" >
 
   <stroke
        android
:width="1dp"
 
       android:color="$ffff0000/>
</
shape
و لیست ویو خودتو بصورت زیر ویرایش کن
کد پی‌اچ‌پی:
<ListView xmlns:android="http://schemas.android.com/apk/res/android"
 
   android:layout_width="match_parent"
 
   android:layout_height="wrap_content"
 
   android:id="@+id/listView"
 
   android:divider="@drawable/custom_divider"
 
   android:dividerHeight="20dp"/> 
ازبرنامه اجرا بگیر ببین روی Android 5 به درستی اجرا میشه یانه

اگه نشد توی کلاسی که محتوای سطرهارو مشخص کردی کد زیر رو جایگزین کن
کد پی‌اچ‌پی:
if(isItemAvailable(item) || Build.VERSION.SDK_INT Build.VERSION_CODES.LOLLIPOP) {
 
   rowView inflater.inflate(R.layout.size_rowparentfalse);
} else {
 
   rowView inflater.inflate(R.layout.size_row_with_dividerparentfalse);

امیدوارم مفید بوده باشه
Iran PROGRAMER2016
پاسخ
 سپاس شده توسط azadyamin ، programmerirani


پرش به انجمن:


کاربران در حال بازدید این موضوع: 1 مهمان

آخرین کلیدهای غیررایگان

شما هم می توانید کلیدهای غیررایگان منتشر کنید (بیشتر بدانید)